Skip to main content
GET
/
scheduled-actions
curl "https://api.magpipe.ai/functions/v1/scheduled-actions?status=pending" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "action_type": "send_sms",
      "scheduled_at": "2026-01-15T18:00:00.000Z",
      "status": "pending",
      "parameters": {
        "recipient_phone": "+14155551234",
        "recipient_name": "John Smith",
        "message": "Your appointment is in 1 hour!"
      },
      "created_at": "2026-01-14T12:00:00.000Z",
      "retry_count": 0
    },
    {
      "id": "456e7890-e89b-12d3-a456-426614174000",
      "action_type": "send_sms",
      "scheduled_at": "2026-01-16T09:00:00.000Z",
      "status": "pending",
      "parameters": {
        "recipient_phone": "+14155555678",
        "recipient_name": "Jane Doe",
        "message": "Follow-up: How was your experience?"
      },
      "created_at": "2026-01-14T12:30:00.000Z",
      "retry_count": 0
    }
  ],
  "total": 2
}
Retrieve a list of scheduled actions, optionally filtered by status.

Query Parameters

status
string
Filter by status: pending, processing, completed, failed, cancelled
action_type
string
Filter by action type: send_sms, call_contact
limit
integer
default:"50"
Maximum number of results (max 100)
offset
integer
default:"0"
Number of records to skip for pagination

Response

Returns an array of scheduled action objects.
id
string
UUID of the scheduled action
action_type
string
Type of action
scheduled_at
string
Scheduled execution time
status
string
Current status
parameters
object
Action parameters
executed_at
string
When the action was executed (if completed)
error_message
string
Error details (if failed)
retry_count
integer
Number of retry attempts
curl "https://api.magpipe.ai/functions/v1/scheduled-actions?status=pending" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "action_type": "send_sms",
      "scheduled_at": "2026-01-15T18:00:00.000Z",
      "status": "pending",
      "parameters": {
        "recipient_phone": "+14155551234",
        "recipient_name": "John Smith",
        "message": "Your appointment is in 1 hour!"
      },
      "created_at": "2026-01-14T12:00:00.000Z",
      "retry_count": 0
    },
    {
      "id": "456e7890-e89b-12d3-a456-426614174000",
      "action_type": "send_sms",
      "scheduled_at": "2026-01-16T09:00:00.000Z",
      "status": "pending",
      "parameters": {
        "recipient_phone": "+14155555678",
        "recipient_name": "Jane Doe",
        "message": "Follow-up: How was your experience?"
      },
      "created_at": "2026-01-14T12:30:00.000Z",
      "retry_count": 0
    }
  ],
  "total": 2
}